#ifndef FLYPAPERAPP_H
#define FLYPAPERAPP_H

#ifndef __PROCESSES__
#include <Processes.h>
#endif

#ifndef FLYPAPERINIT_H
#include "FlyPaperINIT.h"
#endif

#define	BGONLY	1

#ifdef __cplusplus
extern "C" {
#endif

#define	kMiscStrs			128

enum {
	kClippingsFolderStr = 1
};

void Finalize (void);
FlyPaperGestaltPtr GetINITData ();
void ProcessPendingFiles ();
void QueueUpFileForProcessing (FSSpec* spec);

typedef struct {

	Boolean hideFloats;		// A user controlled hide flag for showing/hiding floaters
	Boolean blockFloats;	// An overriding hide flag for screen savers/full-screen apps
	Boolean modalFloats;	// An overriding hide flag for our own modal dialogs

	EventRecord theEvent;	// The event currently being processed
	QHdr forwardedEvents;	// A queue of EventRecords that are forwarded from our filter
	QHdr allFloatWindows;	// A queue of WindowPtrs that track each TSM Floater that was
							//   installed, so that the filter can intercept their events.
	
	ProcessSerialNumber		myPSN;
	
} GlobalsRec;

extern Boolean					gHasColorQD;
extern Boolean					gRunning;
extern GlobalsRec				glob;
extern short					gResFile;
extern Str255					gClippingsFolderName;
extern FSSpec**					gPendingFiles;
extern short					gNuimPendingFiles;

long GetCurrentA5(void) ONEWORDINLINE(0x200D);

#ifdef __cplusplus
}
#endif

#endif
