#ifndef CLIPPINGFILEDATA_H
#define CLIPPINGFILEDATA_H
#endif

#ifndef FLYPAPERAPP_H
#include "FlyPaperApp.h"
#endif

#define				kClippingFileDataResType				kSignature
#define				kClippingFileDataResID					128

class CClippingFileData
{
public:
								CClippingFileData (short refNum);
								~CClippingFileData ();
								
	static void					CreateNewClippingFileData (short refNum);
	
	Boolean						GetOnLeft ();
	short						GetOffset ();
	void						SetOnLeft (Boolean onLeft);
	void						SetOffset (short offset);
	
protected:

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

	typedef struct {
		Boolean					onLeft;			// true if on left of screen				
		short					offset;			// distance from top of screen
		short					color;			// which window color table to use
	} ClippingDataRec, **ClippingDataHandle;

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

	ClippingDataHandle			fDataHandle;
};