#ifndef CLIPPINGS_H
#define CLIPPINGS_H

#ifndef CLIPPINGFILE_H
#include "ClippingFile.h"
#endif

#ifndef __DRAG__
#include <drag.h>
#endif

Boolean InitClippings (void);

void AcceptNewClipping (DragReference dragRef, Point dropLocation);
OSErr AddFlavorToClippingFile (short clippingRefNum, FlavorType flavorType, Handle flavorData);
OSErr CreateEmptyClippingFile (short *fRefNum, OSType fileType, ClippingID& clippingID);
void ProcessPendingClippings (void);
void CheckForNewClippings (void);
void RepositionClipping (DragReference drag, WindowPtr w);

#define	kLeftWindowProc			3200		//	No drag bar
#define	kRightWindowProc		3201		//	No drag bar

#endif
