#ifndef DECLARE_ST_

#define	DECLARE_ST_(CLASSNAME, TYPE, DTOR, SAFEVAL) 												\
																									\
	class CLASSNAME {																				\
		private:																					\
			TYPE	the##TYPE;																		\
			void operator = (const TYPE &a##TYPE);													\
		public:																						\
			CLASSNAME (const TYPE &a##TYPE) {the##TYPE = a##TYPE;}									\
			~CLASSNAME () {if (the##TYPE != SAFEVAL) DTOR (the##TYPE);}								\
			operator TYPE& (void) {return the##TYPE;}												\
			void Forget (void) {the##TYPE = SAFEVAL;}												\
	};

#define	DECLARE_STP_(CLASSNAME, TYPE, DTOR, SAFEVAL) 												\
																									\
	class CLASSNAME {																				\
		private:																					\
			TYPE	the##TYPE;																		\
			void operator = (const TYPE &a##TYPE);													\
		public:																						\
			CLASSNAME (const TYPE &a##TYPE) {the##TYPE = a##TYPE;}									\
			~CLASSNAME () {if (the##TYPE != SAFEVAL) DTOR (&the##TYPE);}								\
			operator TYPE& (void) {return the##TYPE;}												\
			void Forget (void) {the##TYPE = SAFEVAL;}												\
	};

#endif
