#ifndef THUMBNAIL_H
#define THUMBNAIL_H

#ifndef CLIPPINGFILE_H
#include "ClippingFile.h"
#endif

class CClippingWindow;

class CThumbnail {

public:
	static CThumbnail*	NewThumbnail (CClippingFile* file, Rect& bounds);
	
protected:
	CThumbnail (CClippingFile* file);

public:
	virtual ~CThumbnail ();
	virtual void Draw		(Rect &r) = 0;

protected:
	CClippingFile*		fFile;
	
};

#endif

